All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
channel.h File Reference
`#include <ptlib/mutex.h>`
`#include "unix/ptlib/channel.h"`

Go to the source code of this file.

## Classes

class | PChannelStreamBuffer
class | PChannel
| Abstract class defining I/O channel semantics. More...
struct | PChannel::Slice
| Structure that defines a "slice" of memory to be written to. More...